Skip to main content
POST
/
ssh-keys
Add SSH key
curl --request POST \
  --url https://runcrate.ai/api/v1/ssh-keys \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "public_key": "<string>",
  "type": "<string>"
}
'
{
  "data": {
    "id": "<string>",
    "name": "<string>",
    "fingerprint": "<string>",
    "type": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "lastUsed": "2023-11-07T05:31:56Z",
    "projectId": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://runcrate.ai/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use a Runcrate API key with the rc_live_* prefix as the bearer token. Create one at https://www.runcrate.ai/dashboard/api-keys.

Body

application/json
name
string
required
public_key
string
required

OpenSSH public key string.

type
string

Key type (auto-detected if omitted).

Response

SSH key created.

data
object
required